PHP

Laravel7 bootstrap導入

Laravel

Laravel7には標準ではbootstarpが組み込まれていないみたい。

 

導入する

 

$ composer require laravel/ui

 

$ php artisan ui bootstrap

Bootstrap scaffolding installed successfully.
Please run "npm install && npm run dev" to compile your fresh scaffolding.

 

$ npm install && npm run dev

 

Error: You are using an unspported version of Node. Please update to at least Node v12.14

npm notice created a lockfile as package-lock.json. You should commit this file.
npm WARN notsup Unsupported engine for laravel-mix@6.0.11: wanted: {“node”:”>=12.14.0″} (current: {“node”:”12.13.0″,”npm”:”6.12.0″})

 

エラーが発生した。

 

 

$ node -v

v12.13.0

 

 

$ nodebrew ls-remote

(略)
v12.0.0   v12.1.0   v12.2.0   v12.3.0   v12.3.1   v12.4.0   v12.5.0   v12.6.0
v12.7.0   v12.8.0   v12.8.1   v12.9.0   v12.9.1   v12.10.0  v12.11.0  v12.11.1
v12.12.0  v12.13.0  v12.13.1  v12.14.0  v12.14.1  v12.15.0  v12.16.0  v12.16.1
v12.16.2  v12.16.3  v12.17.0  v12.18.0  v12.18.1  v12.18.2  v12.18.3  v12.18.4
v12.19.0  v12.19.1  v12.20.0  v12.20.1  

v13.0.0   v13.0.1   v13.1.0   v13.2.0   v13.3.0   v13.4.0   v13.5.0   v13.6.0
v13.7.0   v13.8.0   v13.9.0   v13.10.0  v13.10.1  v13.11.0  v13.12.0  v13.13.0
v13.14.0 
 
(略)

 

 

$ nodebrew install-binary v12.14.1

 

$ nodebrew use v12.14.1

通常はこれで完了。

私は沼に入った

Mac node nodebrew再インストール

解決したので

$ node -v
v12.14.1

改めて実行する

$ php artisan ui bootstrap
$ npm install && npm run dev

成功!

<link href=”{{ asset(‘css/app.css’) }}” rel=”stylesheet”>

これをbladeのヘッダに挿入してください。
 

 

 

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

日本語が含まれない投稿は無視されますのでご注意ください。(スパム対策)